use strum::EnumIter;

/// An enum of all the available spinners.
///
/// Contains around 80+ spinners.
/// It is recommended to use the `all_spinners` example to view each spinner's animation.
///
/// ```ignore
/// cargo run --example all_spinners
/// ```
///
/// Each variant in this enum is assigned to a `HashMap` holding it's frames and interval count.
///
#[derive(Copy, Clone, Eq, PartialEq, Ord, PartialOrd, Hash, Debug, EnumIter, strum::Display)]
pub enum Spinners {
    Aesthetic,
    Arc,
    Arrow,
    Arrow2,
    Arrow3,
    Balloon,
    Balloon2,
    BetaWave,
    BluePulse,
    Bounce,
    BouncingBall,
    BouncingBar,
    BoxBounce,
    BoxBounce2,
    Binary,
    Christmas,
    Circle,
    CircleHalves,
    CircleQuarters,
    Clock,
    Dots,
    Dots10,
    Dots11,
    Dots12,
    Dots2,
    Dots3,
    Dots4,
    Dots5,
    Dots6,
    Dots7,
    Dots8,
    Dots8Bit,
    Dots9,
    Dqpb,
    Earth,
    FingerDance,
    FistBump,
    Flip,
    Grenade,
    GrowHorizontal,
    GrowVertical,
    Hamburger,
    Hearts,
    Layer,
    Line,
    Line2,
    Material,
    Mindblown,
    Monkey,
    Moon,
    Noise,
    OrangeBluePulse,
    OrangePulse,
    Pipe,
    Point,
    Pong,
    Runner,
    Shark,
    SimpleDots,
    SimpleDotsScrolling,
    Smiley,
    SoccerHeader,
    Speaker,
    SquareCorners,
    Squish,
    Star,
    Star2,
    TimeTravel,
    Toggle,
    Toggle10,
    Toggle11,
    Toggle12,
    Toggle13,
    Toggle2,
    Toggle3,
    Toggle4,
    Toggle5,
    Toggle6,
    Toggle7,
    Toggle8,
    Toggle9,
    Triangle,
    Weather,
}
